package com.pokkt.demo.utility;

import android.content.Context;
import android.text.TextUtils;

public class Storage {

    public static void storeVideoPoints(Context context, float points) {
        float oldPoints = getVideoPoints(context);
        context.getSharedPreferences("MyVideoPrefs", Context.MODE_PRIVATE).edit()
                .putFloat("points", oldPoints + points).apply();
    }

    public static float getVideoPoints(Context context) {
        return context.getSharedPreferences("MyVideoPrefs", Context.MODE_PRIVATE).getFloat("points", 0);
    }

    public static String getAppId(Context context) {
       // return context.getSharedPreferences("MyVideoPrefs", Context.MODE_PRIVATE).getString("appId", "a2717a45b835b5e9f50284a38d62a74e");// video demo
       //return context.getSharedPreferences("MyVideoPrefs", Context.MODE_PRIVATE).getString("appId", "d572bd855ed1c299ca5491b5df54d42b");// Dev_Abhinav
        //return context.getSharedPreferences("MyVideoPrefs", Context.MODE_PRIVATE).getString("appId", "0f666bc5d176ce734443a4fe00183d63");//Chikke Test
        //return context.getSharedPreferences("MyVideoPrefs", Context.MODE_PRIVATE).getString("appId", "4317fb1fcbf1ca98badf08ef59b0b86b");//Pokkt sample app
        return context.getSharedPreferences("MyVideoPrefs", Context.MODE_PRIVATE).getString("appId", "4376206cac6a157889f4da3c8ada517a");// dev kanchan
    }

    public static void setAppId(Context context, String appId) {
        if (!TextUtils.isEmpty(appId)) {
            context.getSharedPreferences("MyVideoPrefs", Context.MODE_PRIVATE).edit().putString("appId", appId).apply();
        }
    }

    public static String getSecurityKey(Context context) {
        //return context.getSharedPreferences("MyVideoPrefs", Context.MODE_PRIVATE).getString("securityKey", "iJ02lJss0M"); // video demo
        //return context.getSharedPreferences("MyVideoPrefs", Context.MODE_PRIVATE).getString("securityKey", "6414dc853a151b4dfe7d04a171e38bd8");// Dev_Abhinav
        //return context.getSharedPreferences("MyVideoPrefs", Context.MODE_PRIVATE).getString("securityKey", "81f2f0b8e67752ddd552f9b9e2c678f3"); // Chikke test
        //return context.getSharedPreferences("MyVideoPrefs", Context.MODE_PRIVATE).getString("securityKey", "91f118562047d230f2b907ba93d2c4e2"); //Pokkt sample app
        return context.getSharedPreferences("MyVideoPrefs", Context.MODE_PRIVATE).getString("securityKey", "549193d104ec3b4e27d060444c2c2213"); // dev kanchan
    }

    public static void setSecurityKey(Context context, String appId) {
        if (!TextUtils.isEmpty(appId)) {
            context.getSharedPreferences("MyVideoPrefs", Context.MODE_PRIVATE).edit().putString("securityKey", appId).apply();
        }
    }

}